#pragma once

#include "BtnST.h"
#include "ResourceServerST.h"
#include "ListBoxColorPickerST.h"
#include "Icons.h"

class CDlgListBoxColorPickerST : public CDialog
{
public:
	CDlgListBoxColorPickerST(CWnd* pParent, CResourceServerST* m_pIcons);

	//{{AFX_DATA(CDlgListBoxColorPickerST)
	enum { IDD = IDD_LISTBOXCOLORPICKERST };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgListBoxColorPickerST)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgListBoxColorPickerST)
	virtual BOOL OnInitDialog();
	afx_msg void OnDblclkLbxColors1();
	afx_msg void OnBtnUp();
	afx_msg void OnBtnDown();
	afx_msg void OnBtnTop();
	afx_msg void OnBtnBottom();
	//}}AFX_MSG

private:
	void OnCancel();
	void OnOK();
	void Populate();

	CResourceServerST*	m_pIconsDLL;

	CListBoxColorPickerST	m_lbxColors1;
	CButtonST				m_btnUp;
	CButtonST				m_btnDown;
	CButtonST				m_btnTop;
	CButtonST				m_btnBottom;

	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.
